Bug 1011111 - Importing a JSON definition never failes even if the definition is invalid
Importing a JSON definition never failes even if the definition is invalid
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium
: ER5
: 6.0.0
Assigned To: Tihomir Surdilovic
Sona Mala
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-23 12:01 EDT by Sona Mala
Modified: 2014-08-06 16:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:10:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sona Mala 2013-09-23 12:01:51 EDT
Description of problem:
Importing a JSON definition never fails even if this definition is invalid. In that case, Designer imports nothing (empty process).

Version-Release number of selected component (if applicable):
6.0.0. ER3

How reproducible:


Steps to Reproduce:
1. Create new process (Start -> Task -> End)
2. View its JSON definition and copy it (Ctrl+A, Ctrl+C) 
3. Open import dialog for JSON
4. Insert JSON definition and delete any character ('}', ']', etc.)

Actual results:
Alert "Importing..." is shown together with confirmation dialog "Replace existing model?". If you answer 'YES' then the empty process is shown.


Expected results:
Same behaviour as for BPMN2:
  - Alert "Failed to import JSON"
  - Alert with more specific message ("missing character", etc.)
  - no confirmation dialog
  - previous process is shown (without changes)


Additional info:
Comment 1 Tihomir Surdilovic 2013-09-30 11:42:54 EDT
fixed in designer master and 6.0.x branches
Comment 2 Sona Mala 2013-12-18 04:31:14 EST
Verified for ER5

Note You need to log in before you can comment on or make changes to this bug.